librime: rime::ReverseDb Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::ReverseDb Class Reference

`#include <reverse_lookup_dictionary.h>`

Inheritance diagram for rime::ReverseDb:
[legend]
Collaboration diagram for rime::ReverseDb:
[legend]

## Public Member Functions
| ReverseDb (const path &file_path)
bool | Load ()
bool | Lookup (const string &text, string *result)
bool | Build (DictSettings *settings, const Syllabary &syllabary, const Vocabulary &vocabulary, const ReverseLookupTable &stems, uint32_t dict_file_checksum)
bool | Save ()
uint32_t | dict_file_checksum () const
reverse::Metadata * | metadata () const
Public Member Functions inherited from rime::MappedFile
| MappedFile (const MappedFile &)=delete
MappedFile & | operator= (const MappedFile &)=delete
bool | Exists () const
bool | IsOpen () const
void | Close ()
bool | Remove ()
template<class T>
T * | Find (size_t offset)
const path & | file_path () const
size_t | file_size () const

## Additional Inherited Members
Protected Member Functions inherited from rime::MappedFile
| MappedFile (const path &file_path)
virtual | ~MappedFile ()
bool | Create (size_t capacity)
bool | OpenReadOnly ()
bool | OpenReadWrite ()
bool | Flush ()
bool | Resize (size_t capacity)
bool | ShrinkToFit ()
template<class T>
T * | Allocate (size_t count=1)
template<class T>
Array< T > * | CreateArray (size_t array_size)
String * | CreateString (const string &str)
bool | CopyString (const string &src, String *dest)
size_t | capacity () const
char * | address () const

## Constructor & Destructor Documentation

## ◆ ReverseDb()

rime::ReverseDb::ReverseDb | ( | const path & | file_path | ) |
| explicit

## Member Function Documentation

## ◆ Build()

bool rime::ReverseDb::Build | ( | DictSettings * | settings,
|  | const Syllabary & | syllabary,
|  | const Vocabulary & | vocabulary,
|  | const ReverseLookupTable & | stems,
|  | uint32_t | dict_file_checksum )

## ◆ dict_file_checksum()

uint32_t rime::ReverseDb::dict_file_checksum | ( |  | ) | const

## ◆ Load()

bool rime::ReverseDb::Load | ( |  | ) |

## ◆ Lookup()

bool rime::ReverseDb::Lookup | ( | const string & | text,
|  | string * | result )

## ◆ metadata()

reverse::Metadata * rime::ReverseDb::metadata | ( |  | ) | const
| inline

## ◆ Save()

bool rime::ReverseDb::Save | ( |  | ) |

The documentation for this class was generated from the following files:

- reverse_lookup_dictionary.h
- reverse_lookup_dictionary.cc